/*
  Copyright 2010 Grégory Soutadé

  This file is part of KissCount.

  KissCount is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  KissCount is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with KissCount.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef BUTTONPANEL_H
#define BUTTONPANEL_H

#include <wx/wx.h>
#include <wx/bmpbuttn.h>

#include <controller/KissCount.h>
#include "wxUI.h"

#include "view.h"

class KissCount;
class wxUI;

class ButtonPanel: public wxPanel
{
public:

    ButtonPanel(KissCount* kiss, wxUI *parent);
    ~ButtonPanel();

    void SetToolTips();

    void OnButtonAccount(wxCommandEvent& event);
    void OnButtonStats(wxCommandEvent& event);
    void OnButtonSearch(wxCommandEvent& event);
    void OnButtonPreferences(wxCommandEvent& event);
    void OnButtonChangeUser(wxCommandEvent& event);
    void OnButtonAbout(wxCommandEvent& event);
    void OnButtonQuit(wxCommandEvent& event);

private:
    KissCount* _kiss;
    wxUI* _wxUI;
    wxBitmapButton* _account;
    wxBitmapButton* _stats;
    wxBitmapButton* _search;
    wxBitmapButton* _prefs;
    wxBitmapButton* _changeUser;
    wxBitmapButton* _about;
    wxBitmapButton* _quit;

    DECLARE_EVENT_TABLE();
};

#endif
